Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class CharsetHelper

    java.lang.Object
      com.servingxml.util.CharsetHelper

    public abstract class CharsetHelper

extends java.lang.Object

Method Summary
`static char[]` | `bytesToCharacters(byte[] bytes, java.nio.charset.Charset charset)`
`static char[]` | `bytesToCharacters(byte[] bytes, int start, int length, java.nio.charset.Charset charset)`
`static java.lang.String` | `bytesToString(byte[] bytes, java.nio.charset.Charset charset)`
`static java.lang.String` | `bytesToString(byte[] bytes, int start, int length, java.nio.charset.Charset charset)`
`static byte[]` | `charactersToBytes(char[] characters, java.nio.charset.Charset charset)`
`static byte[]` | `charactersToBytes(char[] characters, int start, int length, java.nio.charset.Charset charset)`
`static java.nio.charset.Charset` | `getDefaultCharset()`
`static byte[]` | `stringToBytes(java.lang.String s)`
`static byte[]` | `stringToBytes(java.lang.String s, java.nio.charset.Charset charset)`
`static byte[]` | `stringToBytes(java.lang.String s, java.lang.String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### stringToBytes

    public static byte[] stringToBytes(java.lang.String s)

### stringToBytes

    public static byte[] stringToBytes(java.lang.String s,
                                       java.lang.String encoding)

### stringToBytes

    public static byte[] stringToBytes(java.lang.String s,
                                       java.nio.charset.Charset charset)

### charactersToBytes

    public static byte[] charactersToBytes(char[] characters,
                                           java.nio.charset.Charset charset)

### charactersToBytes

    public static byte[] charactersToBytes(char[] characters,
                                           int start,
                                           int length,
                                           java.nio.charset.Charset charset)

### bytesToCharacters

    public static char[] bytesToCharacters(byte[] bytes,
                                           java.nio.charset.Charset charset)

### bytesToCharacters

    public static char[] bytesToCharacters(byte[] bytes,
                                           int start,
                                           int length,
                                           java.nio.charset.Charset charset)

### bytesToString

    public static java.lang.String bytesToString(byte[] bytes,
                                                 java.nio.charset.Charset charset)

### bytesToString

    public static java.lang.String bytesToString(byte[] bytes,
                                                 int start,
                                                 int length,
                                                 java.nio.charset.Charset charset)

### getDefaultCharset

    public static java.nio.charset.Charset getDefaultCharset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD